{: test that argv syntax error causes a compilation error }

program e1043( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1043 }

   e := black;
   n := 2;
   argv( 2, s );         { OK }
   argv( 2, s, 0 );      { !!! extra arg }
   argv( 2, s, n );      { !!! extra arg }
   argv( 2, s, s );      { !!! extra arg }
   argv( 2, n, s );      { !!! extra arg }

   writeln( 'argv errors not detected' );
end. { e1043 }

